window.addEventListener("load", () => {
    let artifacts = document.querySelectorAll("div.artifact-item");
    for(let artifact of artifacts) {
        let contents = artifact.querySelector(".artifact-contents");
        if(!contents || !(contents instanceof HTMLElement))
            continue;
        artifact.addEventListener("click", e => {
            e.preventDefault();
            if(contents.classList.contains("contents-visible"))
                contents.classList.remove("contents-visible");
            else
                contents.classList.add("contents-visible");
        });
    }
});